#include <stdio.h>
#include <stdlib.h>
int main()
 {
    int n;
    scanf("%d",&n);
    for (int i=0;i<n-1;i++)
    {
        int x,y;
        scanf("%d%d",&x,&y);
    }
    int br=3;
    printf("%d",br);
 }